
#ifndef _F_DICTIONARY_H
#define _F_DICTIONARY_H

#define MAX_WORD_LENGHT	32

namespace fingers
{

	struct fDictWord
	{
		char*	word;
	};

	class fDictionary
	{
	private:
		bool		loaded;

		fDictWord*	words;

	public:

		int			count;

		fDictionary();
		~fDictionary();

		bool	load(const char* filename);
		void	unload();

		const char* getWord();
	};

}

#endif // _F_DICTIONARY_H